Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST%sri-ai.arpa@CSNET-RELAY>

From: [email-masked]
Date: Wed, 12 Feb 86 23:29:55 est

Received: from sri-ai.arpa by CSNET-RELAY.ARPA id a002143; 12 Feb 86 13:29 EST
Date: Wed 12 Feb 1986 09:31-PST
Reply-to: AIList%sri-ai.arpa@CSNET-RELAY
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V4 #23
To: AIList%sri-ai.arpa@CSNET-RELAY
Received: from rand-relay by vpi; Wed, 12 Feb 86 23:21 EST

AIList Digest           Wednesday, 12 Feb 1986     Volume 4 : Issue 23

Today's Topics:
  Seminars - Systems of Actors (USC) &
    Artificial Concept Formation (Edinburgh) &
    Parallelism in Production Systems (SU) &
    A Storage Manager for Prolog (SU) &
    Statistical Theory of Evidence (SRI),
  Conference - Compcon Spring 86

----------------------------------------------------------------------

Date: 7 Feb 1986 08:21-EST
From: [email-masked]
Subject: Seminar - Systems of Actors (USC)

            USC DISTRIBUTED PROBLEM SOLVING GROUP

                          MEETING

              "Formalizing the Development of

                    Systems of Actors"

                        Ed Ipser

                   Ph.D Student, USC

A formalization of the process of specifying and developing
distributed systems is presented, with the emphasis on the description
of multiple robot environments. The general scheme is a recursive
reduction of behaviors with constraints to actors with pre-determined
behaviors by showing that the behaviors of the actors satisfy the
behavior and constraint requirements of the system. Possible
applications of this scheme are presented, including automatic
programming, planning, theorem proving, and the description of
non-computable functions. This work is based on the work of Goldman
and Wile on GIST, and Georgeff's work on the theory of processes.

Time: 3:00 PM Wednesday, Feb 12, 1986
Place: Seaver Science Bldg., Room 319, USC
Questions: Dr. Les Gasser, CS Dept., USC (213) 743-7794

------------------------------

Date: Mon, 10 Feb 86 14:56:48 GMT
From: Gideon Sahar <[email-masked]>
Subject: Seminar - Artificial Concept Formation (Edinburgh)

EDINBURGH AI SEMINARS

Date:   Wednesday, 12th February l986
Time:   2.00 p.m.
Place:  Department of Artificial Intelligence
        Seminar Room - F10
        80 South Bridge
        EDINBURGH.

Professor Donald Michie, The Turing Institute, Glasgow will give a
seminar entitled - "Artificial Concept Formation".

The approach develops from a position taken in the 1950's by H.A. Simon.
He proposed, in essence, a new criterion for the adequacy of a theory
(he considered economic theory), namely that in explaining the flux of
transactions a theory must take full account of the resource-limited
nature of the calculations performed by the participating agents.   Is
economic man rational in the sense of making fully rational choices
whatever the computational cost (as in the von Neumann and Morgenstern
theory of economic behaviour), or does he exhibit at most the level of
rationality which human brains can feasibly compute in the time
available for each choice?   By implication Simon also requires that
such a theory should be feasibly interpretable by its human user:
runnability on the machine is not enough.

This leads to the idea that what is run on the machine should be
human-oriented in a very strong sense, unprecedented in conventional
software technology even as an aspiration:  if a program is to be not
just an operationally effective description or prescription, but a
machine representation of a concept and hence an eligible component of
a Simon-type theory, it must be not only human-intelligible but also
human-interpretable.   This entails that the human expert skilled in
the given area must be able mentally to check it against trial data in
his head, just as he can in the case of his own professionally acquired
concepts.

------------------------------

Date: Mon 10 Feb 86 09:28:13-PST
From: Sharon Gerlach <[email-masked]>
Subject: Seminar - Parallelism in Production Systems (SU)

   On Friday, Feb 21, Anoop Gupta, a CSL faculty candidate from CMU, will
be speaking on "Parallelism in Production Systems" in MJH 352 at 3:15.

                       Parallelism in Production Systems

                                  Anoop Gupta
                        Department of Computer Science
                          Carnegie-Mellon University
                             Pittsburgh, PA 15213

  Production  systems  (or  rule-based  systems)  are widely used in Artificial
Intelligence for modeling intelligent behavior  and  building  expert  systems.
Most  production  system programs, however, are extremely computation intensive
and run quite slowly.  The slow speed of execution has prohibited  the  use  of
production   systems  in  domains  requiring  high  performance  and  real-time
response.  The talk will elaborate on the role of parallelism in the high-speed
execution of production systems.

  On  the  surface,  production  system  programs appear to be capable of using
large amounts of parallelism -- it  is  possible  to  perform  match  for  each
production  in  a  program  in  parallel.  Our research shows that in practice,
however, the speed-up obtainable from  parallelism  is  quite  limited,  around
10-fold as compared to initial expectations of 100-fold to 1000-fold.  The main
reasons for the limited speed-up are:  (1) there are only  a  small  number  of
productions that are affected (require significant processing) as a result of a
change to working memory and (2) there is a large variation in  the  processing
requirement  of these productions.  Since the number of affected productions is
not controlled by the implementor of the production system interpreter  (it  is
governed  mainly  by  the author of the program and the nature of the problem),
the solution to the problem of limited speed-up  is  to  somehow  decrease  the
variation  in  the  processing  cost  of  affected  productions.   We propose a
parallel version of the Rete algorithm which exploits  parallelism  at  a  very
fine  grain  to  reduce this variation.  We further suggest that to exploit the
fine-grained  parallelism,  a  shared-memory  multiprocessor  with  32-64  high
performance  processors  should be used.  For scheduling the fine-grained tasks
consisting of about 50-100 instructions, a hardware task scheduler is proposed.

  The results presented in the talk are based on simulations done for  a  large
set  of  production  systems  exploiting different sources of parallelism.  The
simulation results show that using the  suggested  multiprocessor  architecture
(with  individual  processors  performing  at 2 MIPS), it is possible to obtain
execution speeds of 5000-27000 working memory element changes per second.  This
corresponds  to  a speed-up of 5-fold to 27-fold over the best known sequential
implementation using a 2 MIPS processor.  This performance is also higher  than
that obtained by other proposed parallel implementations of production systems.

------------------------------

Date: Tue 11 Feb 86 16:30:05-PST
From: Karin Scholz <[email-masked]>
Subject: Seminar - A Storage Manager for Prolog (SU)

this is a correction to the colloquium notice for this week:

Database Seminar CS 545, Friday Feb 14, 3:15pm, mjh352

  Persistent Prolog: A Secondary Storage Manager for Prolog

           Peter M D Gray
           University of Aberdeen, Scotland

            ABSTRACT OF TALK

 The talk will describe a general purpose "tight coupling" system based on a
C-Prolog interpreter interfaced to a "Persistent Heap" database, which
can store a wide variety of data types and objects.  We are
currently extending Prolog to allow definitions of modules and Abstract
Data Types.  This provides a disciplined way of accessing frame structures,
bit maps, attached procedures and other non-Prolog objects.
  With this system we are able to use Prolog to maintain an evolving
knowledge base on disc.  Prolog clauses and data structures are
manipulated in memory in the usual way, but migrate to disc on a
"commit" step.
  This work is part of the U.K. "Alvey" program in IKBS

------------------------------

Date: Wed 12 Feb 86 08:55:19-PST
From: [email-masked]
Subject: Seminar - Statistical Theory of Evidence (SRI)

Bob Hummel will be giving a talk on Tuesday, Feb. 18 at 10:30,
Conf room EK242 (the "old" conf room).  An abstract of his talk follows:

             A Statistical Viewpoint on the Theory of Evidence

                               Robert Hummel
                  Courant Institute, New York University

                                 Abstract

     The Dempster/Shafer "Theory of Evidence" can be regarded as  an  alge-
braic  space  with  a  combination  formula  that  combines the opinions of
"experts".  This viewpoint, which is really the origin of the theory,  will
be  explained  by  introducing spaces with simple binary operations, giving
these spaces intuitive interpretations, relating them to Bayesian updating,
and  showing that the spaces are (in a homomorphic sense) equivalent to the
Dempster/Shafer theory of evidence space.

     The viewpoint allows us to remark on limitations of  the  theory.   By
making compromises in a different manner, an alternative combination method
can be introduced.  This representation of states of belief by  "Parameter-
ized Statistics of Experts" will be described.

------------------------------

Date: Fri, 31 Jan 86 07:40:54 pst
From: Doug Coffland <[email-masked]>
Subject: Conference - Compcon Spring 86

Register for Compcon Spring 86 now and attend the year's
only broad based computing conference sponsored by the
IEEE Computer Society.  Compcon will be held in San Fran-
cisco, March 3-6, 1986.

Key topics include: supercomputers, SDI software reliability,
AI applications, Japanese software practices, RISC vs. CISC,
and more.  Four full day tutorials will be given on Monday,
March 3.  Topics include silicon compilation, issues in expert
systems, complex computer graphics, and high performance com-
puting.

The advanced registration deadline is February 14.  For further
information, contact Robert M. Long, Lawrence Livermore National
Labratory, P. O. Box 808, MS L130, Livermore, Ca. 94550.
The telephone number is 415-422-8934.  Telephone registrations
will be accepted with Visa, MasterCard, or American Express.

------------------------------

End of AIList Digest
********************